ALTER TABLE SBI_DATA_SOURCE MODIFY URL_CONNECTION VARCHAR2(500) DEFAULT NULL;

ALTER TABLE SBI_ALARM MODIFY LABEL VARCHAR2(50) NOT NULL;
CREATE INDEX SBI_ALARM_label_unique ON SBI_ALARM(LABEL);

CREATE INDEX SBI_ALARM_CONTACT_name_unique ON SBI_ALARM_CONTACT(NAME);

CREATE INDEX SBI_KPI_code_unique ON SBI_KPI(code); 

CREATE INDEX SBI_KPI_MODEL_unique_kpi_model ON SBI_KPI_MODEL(KPI_MODEL_CD); 

CREATE INDEX SBI_KPI_PERIOD_name_unique ON SBI_KPI_PERIODICITY(name); 

ALTER TABLE SBI_THRESHOLD MODIFY code VARCHAR2(45) NOT NULL;
CREATE INDEX SBI_THRESHOLD_code_unique ON SBI_THRESHOLD(code); 

ALTER TABLE SBI_THRESHOLD_VALUE MODIFY label VARCHAR2(20) NOT NULL;
CREATE INDEX SBI_THRESHOLD_VALUE_label_thId ON SBI_THRESHOLD_VALUE(label, THRESHOLD_ID); 

CREATE INDEX SBI_RESOURCES_unique_res_name ON SBI_RESOURCES(RESOURCE_NAME); 

ALTER TABLE SBI_KPI_MODEL MODIFY KPI_MODEL_CD VARCHAR2(40) NOT NULL;

ALTER TABLE SBI_KPI_PERIODICITY MODIFY name VARCHAR2(400) NOT NULL;

ALTER TABLE SBI_RESOURCES MODIFY RESOURCE_NAME VARCHAR2(40) NOT NULL;

Create table SBI_EXPORTERS (
	ENGINE_ID INTEGER NOT NULL,
	DOMAIN_ID INTEGER NOT NULL,
	DEFAULT_VALUE Number(38,0) Default 0, 
Primary Key (DOMAIN_ID,ENGINE_ID)
);


CREATE UNIQUE INDEX XAK1SBI_EXPORTERS ON SBI_EXPORTERS
(
       ENGINE_ID                         ASC,
       DOMAIN_ID                         ASC
);

ALTER TABLE SBI_EXPORTERS ADD CONSTRAINT SBI_EXPORTERS_1  FOREIGN KEY  ( DOMAIN_ID ) REFERENCES SBI_DOMAINS ( VALUE_ID );
ALTER TABLE SBI_EXPORTERS ADD CONSTRAINT SBI_EXPORTERS_2  FOREIGN KEY  ( ENGINE_ID ) REFERENCES SBI_ENGINES ( ENGINE_ID );


/*adds record for exporter functionality*/ 
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('PDF','PDF','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('XLS','XLS','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('JPG','JPG','EXPORT_TYPE','Exporters type','Exporters type');
Insert into SBI_DOMAINS (VALUE_CD,VALUE_NM,DOMAIN_CD,DOMAIN_NM,VALUE_DS) values ('PPT','PPT','EXPORT_TYPE','Exporters type','Exporters type');

commit;